## org.exist.xupdate
Class Insert

    java.lang.Object
      org.exist.xupdate.Modification
          org.exist.xupdate.Insert

public class Insert
extends Modification

Implements an XUpdate insert-after or insert-before modification.

Author:
  Wolfgang Meier

Field Summary
`static int` `INSERT_AFTER`
`static int` `INSERT_BEFORE`

Constructor Summary
`Insert(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, int mode, java.util.Map namespaces, java.util.Map variables)`
`Insert(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.util.Map namespaces, java.util.Map variables)` Constructor for Insert.

Method Summary
`java.lang.String` `getName()`
`long` `process(Txn transaction)` Process the modification.

Methods inherited from class org.exist.xupdate.Modification
`getAccessContext, setAccessContext, setContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT_BEFORE

    public static final int INSERT_BEFORE

See Also:
  Constant Field Values

### INSERT_AFTER

    public static final int INSERT_AFTER

See Also:
  Constant Field Values

Constructor Detail

### Insert

    public Insert(DBBroker broker,
                  DocumentSet docs,
                  java.lang.String selectStmt,
                  java.util.Map namespaces,
                  java.util.Map variables)

  Constructor for Insert.

Parameters:
  `broker` -
  `docs` -
  `namespaces` -
  `variables` -
  `selectStmt` -

### Insert

    public Insert(DBBroker broker,
                  DocumentSet docs,
                  java.lang.String selectStmt,
                  int mode,
                  java.util.Map namespaces,
                  java.util.Map variables)

Method Detail

### process

    public long process(Txn transaction)
                 throws PermissionDeniedException,
                        LockException,
                        EXistException,
                        XPathException

  Description copied from class: `Modification`
  Process the modification. This is the main method that has to be implemented by all subclasses.

  Specified by:
    `process` in class `Modification`
  Parameters:
    `transaction` -
  Throws:
    `EXistException`
    `XPathException`
    `LockException`
    `PermissionDeniedException`
  See Also:
    `Modification.process(org.exist.storage.txn.Txn)`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Modification`
  See Also:
    `Modification.getName()`

Copyright (C) Wolfgang Meier. All rights reserved.